use proto::SceneBin;

use super::BaseScene;

pub struct PlayerWorldScene {
    pub base: BaseScene,
}

impl PlayerWorldScene {
    pub fn new(scene_id: u32) -> Self {
        Self {
            base: BaseScene::new(scene_id),
        }
    }

    pub fn from_bin(scene_id: u32, bin: SceneBin) -> Self {
        Self {
            base: BaseScene::from_bin(scene_id, bin),
        }
    }

    pub fn to_bin(&self) -> SceneBin {
        self.base.to_bin()
    }

    pub fn init(&mut self) {
        self.base.init();
    }
}
